# Retrieve Deposit Limits

Returns the deposit limit for a profile based on regulatory requirements.

Useful for personal profiles located in countries that have hold limits. We advise calling this API before depositing money into an account if the profile is located in Singapore or Malaysia.

Endpoint: GET /v1/profiles/{profileId}/balance-capacity
Security: UserToken, PersonalToken

## Path parameters:

  - `profileId` (integer, required)
    The profile ID.

## Query parameters:

  - `currency` (string, required)
    Currency code (ISO 4217 Alphabetic Code). The deposit limit will be returned in this currency.
    Example: "SGD"

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
    Example: "f47ac10b-58cc-4372-a567-0e02b2c3d479"

## Response 200 fields (application/json):

  - `hasLimit` (boolean)
    True if there is a regulatory hold limit for the profile's country.
    Example: true

  - `depositLimit` (object)
    Amount of money that can be added to the account.

  - `depositLimit.amount` (number)
    Deposit limit amount.
    Example: 2000

  - `depositLimit.currency` (string)
    Currency code (ISO 4217 Alphabetic Code).
    Example: "SGD"


